2024-01 version APP and authorization

2024-01 version APP and authorization

Creatorally
Shopify Partner
1 0 0

Error: Client network socket disconnected before secure TLS connection was established

 

Hi! Yesterday I updated my app because it told me the API version was out of date. So I updated the app to the 2024-01 version. But after the update, I request APIs according to the call method in the 2024-01 API references docs, no matter which API is called, it returns "Error: Client network socket disconnected before secure TLS connection was established ". And I recreated a new 2024-01 version of the app, but the problem still arose. By the way, my apps are created in the Shopify admin.

Can you tell me why such a problem occurs? Is it caused by wrong authorization? Hope to hear from you soon. Thank you.

Reply 1 (1)

Liam
Shopify Staff
2807 310 805

Hi Creatorally,

 

Are you seeing this error message in the Shopify CLI? 

Liam | Developer Advocate @ Shopify 
 - Was my reply helpful? Click Like to let me know! 
 - Was your question answered? Mark it as an Accepted Solution
 - To learn more visit Shopify.dev or the Shopify Web Design and Development Blog